OUTPUT_ARCH(mips)
ENTRY(_start)

SECTIONS
{
	/* Program memory section. */

	. = 0x81c00000;

	_payload_start = ABSOLUTE(.);
	_shared_start = ABSOLUTE(.);

	.text2 : { *(.text*) }

	. = ALIGN(4);
	.rodata : { *(.rodata*) }

	. = ALIGN(4);
	.sdata : { *(.sdata*) }

	. = ALIGN(4);
	.data : { *(.data*) *(.scommon*) *(.reginfo*) }

	. = ALIGN(4);
	.sbss : { *(.sbss*) }
	.bss : { *(.bss*) }

	. = ALIGN (4);
	_shared_end = ABSOLUTE(.);

	.got : ALIGN(4096) {
		_gp = ALIGN(16);
		_got_start = ABSOLUTE(.);	
		*(.got*)
	}
	_got_end = ABSOLUTE(.);	
	_payload_end = ABSOLUTE(.);
}
